"""remove old null.dag file

Revision ID: 4e009168b3bf
Revises: 8a027ec917ff
Create Date: 2021-09-22 13:48:45.063540

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "4e009168b3bf"
down_revision = "8a027ec917ff"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        DELETE FROM workflow_templates WHERE filename='null.dag'
        """
    )


def downgrade():
    op.execute(
        """
        INSERT INTO workflow_templates (filename, content, workflow_name)
        VALUES ('null.dag', E'JOB null null.condor', 'null')
        """
    )
